gulp

Last login: Sun Mar  5 13:15:13 on ttys000
localhost:~ linyunfu$ cd /Users/linyunfu/Desktop/webapp 
localhost:webapp linyunfu$ bower init
? name webapp
? description angular js webapp
? main file 
? keywords angular js
? authors 
? license MIT
? would you like to mark this package as private which prevents it from being accidentally published to the registry? No
cidentally published to the registry? (y/N) NO
{identally published to the registry? (y/N) N
  name: 'webapp',hed to the registry? (y/N) 
  description: 'angular js webapp',
  main: '',
  keywords: [
    'angular',
    'js'
  ],
  license: 'MIT',
  homepage: '',
  ignore: [
    '**/.*',
    'node_modules',
    'bower_components',
    'test',
    'tests'
  ]
}

? Looks good? Yes
localhost:webapp linyunfu$ bower install --save angular
bower cached        https://github.com/angular/bower-angular.git#1.6.2
bower validate      1.6.2 against https://github.com/angular/bower-angular.git#*
bower install       angular#1.6.2

angular#1.6.2 bower_components/angular
localhost:webapp linyunfu$ npm install grunt --save-dev
npm WARN saveError ENOENT: no such file or directory, open '/Users/linyunfu/package.json'
/Users/linyunfu
└─┬ grunt@1.0.1 
  ├── coffee-script@1.10.0 
  ├─┬ dateformat@1.0.12 
  │ ├── get-stdin@4.0.1 
  │ └─┬ meow@3.7.0 
  │   ├─┬ camelcase-keys@2.1.0 
  │   │ └── camelcase@2.1.1 
  │   ├── decamelize@1.2.0 
  │   ├─┬ loud-rejection@1.6.0 
  │   │ ├─┬ currently-unhandled@0.4.1 
  │   │ │ └── array-find-index@1.0.2 
  │   │ └── signal-exit@3.0.2 
  │   ├── map-obj@1.0.1 
  │   ├─┬ normalize-package-data@2.3.5 
  │   │ ├── hosted-git-info@2.2.0 
  │   │ ├─┬ is-builtin-module@1.0.0 
  │   │ │ └── builtin-modules@1.1.1 
  │   │ └─┬ validate-npm-package-license@3.0.1 
  │   │   ├─┬ spdx-correct@1.0.2 
  │   │   │ └── spdx-license-ids@1.2.2 
  │   │   └── spdx-expression-parse@1.0.4 
  │   ├── object-assign@4.1.1 
  │   ├─┬ read-pkg-up@1.0.1 
  │   │ ├─┬ find-up@1.1.2 
  │   │ │ ├── path-exists@2.1.0 
  │   │ │ └─┬ pinkie-promise@2.0.1 
  │   │ │   └── pinkie@2.0.4 
  │   │ └─┬ read-pkg@1.1.0 
  │   │   ├─┬ load-json-file@1.1.0 
  │   │   │ ├── graceful-fs@4.1.11 
  │   │   │ ├─┬ parse-json@2.2.0 
  │   │   │ │ └─┬ error-ex@1.3.1 
  │   │   │ │   └── is-arrayish@0.2.1 
  │   │   │ ├── pify@2.3.0 
  │   │   │ └── strip-bom@2.0.0 
  │   │   └─┬ path-type@1.1.0 
  │   │     └── graceful-fs@4.1.11 
  │   ├─┬ redent@1.0.0 
  │   │ ├─┬ indent-string@2.1.0 
  │   │ │ └─┬ repeating@2.0.1 
  │   │ │   └─┬ is-finite@1.0.2 
  │   │ │     └── number-is-nan@1.0.1 
  │   │ └── strip-indent@1.0.1 
  │   └── trim-newlines@1.0.0 
  ├── eventemitter2@0.4.14 
  ├── exit@0.1.2 
  ├─┬ findup-sync@0.3.0 
  │ └── glob@5.0.15 
  ├─┬ glob@7.0.6 
  │ └── fs.realpath@1.0.0 
  ├─┬ grunt-cli@1.2.0 
  │ └── resolve@1.1.7 
  ├── grunt-known-options@1.1.0 
  ├─┬ grunt-legacy-log@1.0.0 
  │ ├── colors@1.1.2 
  │ ├─┬ grunt-legacy-log-utils@1.0.0 
  │ │ └── lodash@4.3.0 
  │ ├── hooker@0.2.3 
  │ ├── lodash@3.10.1 
  │ └── underscore.string@3.2.3 
  ├─┬ grunt-legacy-util@1.0.0 
  │ ├── async@1.5.2 
  │ ├── getobject@0.1.0 
  │ └── lodash@4.3.0 
  ├── iconv-lite@0.4.15 
  ├─┬ js-yaml@3.5.5 
  │ ├─┬ argparse@1.0.9 
  │ │ └── sprintf-js@1.0.3 
  │ └── esprima@2.7.3 
  ├── minimatch@3.0.3 
  ├─┬ nopt@3.0.6 
  │ └── abbrev@1.1.0 
  ├── path-is-absolute@1.0.1 
  └── rimraf@2.2.8 

npm WARN enoent ENOENT: no such file or directory, open '/Users/linyunfu/package.json'
npm WARN linyunfu No description
npm WARN linyunfu No repository field.
npm WARN linyunfu No README data
npm WARN linyunfu No license field.
localhost:webapp linyunfu$ null>.bowerrc
-bash: null: command not found
localhost:webapp linyunfu$ sudo null>.bowerrc
Password:
sudo: null: command not found
localhost:webapp linyunfu$ npm i -g gulp
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
npm WARN checkPermissions Missing write access to /usr/local/lib/node_modules/gulp
/usr/local/lib
└── gulp@3.9.1 

npm ERR! Darwin 16.4.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "i" "-g" "gulp"
npm ERR! node v6.10.0
npm ERR! npm  v3.10.10
npm ERR! path /usr/local/lib/node_modules/gulp
npm ERR! code EACCES
npm ERR! errno -13
npm ERR! syscall access

npm ERR! Error: EACCES: permission denied, access '/usr/local/lib/node_modules/gulp'
npm ERR!     at Error (native)
npm ERR!  { Error: EACCES: permission denied, access '/usr/local/lib/node_modules/gulp'
npm ERR!     at Error (native)
npm ERR!   errno: -13,
npm ERR!   code: 'EACCES',
npm ERR!   syscall: 'access',
npm ERR!   path: '/usr/local/lib/node_modules/gulp' }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/linyunfu/Desktop/webapp/npm-debug.log
localhost:webapp linyunfu$ glup -v
-bash: glup: command not found
localhost:webapp linyunfu$ sudo npm install -g gulp
Password:
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
/usr/local/bin/gulp -> /usr/local/lib/node_modules/gulp/bin/gulp.js
/usr/local/lib
└── gulp@3.9.1 

localhost:webapp linyunfu$ npm init

This utility will walk you through creating a package.json file.
It only covers the most common items, and tries to guess sensible defaults.

See `npm help json` for definitive documentation on these fields
and exactly what they do.

Use `npm install <pkg> --save` afterwards to install a package and
save it as a dependency in the package.json file.

Press ^C at any time to quit.
name: (webapp) 
version: (1.0.0) 
description: 
entry point: (index.js) 
test command: 
git repository: 
keywords: 
author: 
license: (ISC) 
About to write to /Users/linyunfu/Desktop/webapp/package.json:

{
  "name": "webapp",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "ISC"
}


Is this ok? (yes) yes
localhost:webapp linyunfu$ npm i --save-dev gulp
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp@3.9.1 
  ├── archy@1.0.0 
  ├─┬ chalk@1.1.3 
  │ ├── ansi-styles@2.2.1 
  │ ├── escape-string-regexp@1.0.5 
  │ ├─┬ has-ansi@2.0.0 
  │ │ └── ansi-regex@2.1.1 
  │ ├── strip-ansi@3.0.1 
  │ └── supports-color@2.0.0 
  ├── deprecated@0.0.1 
  ├─┬ gulp-util@3.0.8 
  │ ├── array-differ@1.0.0 
  │ ├── array-uniq@1.0.3 
  │ ├── beeper@1.1.1 
  │ ├── dateformat@2.0.0 
  │ ├─┬ fancy-log@1.3.0 
  │ │ └── time-stamp@1.0.1 
  │ ├─┬ gulplog@1.0.0 
  │ │ └── glogg@1.0.0 
  │ ├─┬ has-gulplog@0.1.0 
  │ │ └── sparkles@1.0.0 
  │ ├── lodash._reescape@3.0.0 
  │ ├── lodash._reevaluate@3.0.0 
  │ ├── lodash._reinterpolate@3.0.0 
  │ ├─┬ lodash.template@3.6.2 
  │ │ ├── lodash._basecopy@3.0.1 
  │ │ ├── lodash._basetostring@3.0.1 
  │ │ ├── lodash._basevalues@3.0.0 
  │ │ ├── lodash._isiterateecall@3.0.9 
  │ │ ├─┬ lodash.escape@3.2.0 
  │ │ │ └── lodash._root@3.0.1 
  │ │ ├─┬ lodash.keys@3.1.2 
  │ │ │ ├── lodash._getnative@3.9.1 
  │ │ │ ├── lodash.isarguments@3.1.0 
  │ │ │ └── lodash.isarray@3.0.4 
  │ │ ├── lodash.restparam@3.6.1 
  │ │ └── lodash.templatesettings@3.1.1 
  │ ├─┬ multipipe@0.1.2 
  │ │ └─┬ duplexer2@0.0.2 
  │ │   └── readable-stream@1.1.14 
  │ ├── object-assign@3.0.0 
  │ ├── replace-ext@0.0.1 
  │ ├─┬ through2@2.0.3 
  │ │ ├─┬ readable-stream@2.2.3 
  │ │ │ ├── buffer-shims@1.0.0 
  │ │ │ ├── core-util-is@1.0.2 
  │ │ │ ├── inherits@2.0.3 
  │ │ │ ├── isarray@1.0.0 
  │ │ │ ├── process-nextick-args@1.0.7 
  │ │ │ ├── string_decoder@0.10.31 
  │ │ │ └── util-deprecate@1.0.2 
  │ │ └── xtend@4.0.1 
  │ └─┬ vinyl@0.5.3 
  │   ├── clone@1.0.2 
  │   └── clone-stats@0.0.1 
  ├── interpret@1.0.1 
  ├─┬ liftoff@2.3.0 
  │ ├── extend@3.0.0 
  │ ├─┬ findup-sync@0.4.3 
  │ │ ├─┬ detect-file@0.1.0 
  │ │ │ └── fs-exists-sync@0.1.0 
  │ │ ├─┬ is-glob@2.0.1 
  │ │ │ └── is-extglob@1.0.0 
  │ │ ├─┬ micromatch@2.3.11 
  │ │ │ ├─┬ arr-diff@2.0.0 
  │ │ │ │ └── arr-flatten@1.0.1 
  │ │ │ ├── array-unique@0.2.1 
  │ │ │ ├─┬ braces@1.8.5 
  │ │ │ │ ├─┬ expand-range@1.8.2 
  │ │ │ │ │ └─┬ fill-range@2.2.3 
  │ │ │ │ │   ├── is-number@2.1.0 
  │ │ │ │ │   ├─┬ isobject@2.1.0 
  │ │ │ │ │   │ └── isarray@1.0.0 
  │ │ │ │ │   ├── randomatic@1.1.6 
  │ │ │ │ │   └── repeat-string@1.6.1 
  │ │ │ │ ├── preserve@0.2.0 
  │ │ │ │ └── repeat-element@1.1.2 
  │ │ │ ├─┬ expand-brackets@0.1.5 
  │ │ │ │ └── is-posix-bracket@0.1.1 
  │ │ │ ├── extglob@0.3.2 
  │ │ │ ├── filename-regex@2.0.0 
  │ │ │ ├─┬ kind-of@3.1.0 
  │ │ │ │ └── is-buffer@1.1.4 
  │ │ │ ├── normalize-path@2.0.1 
  │ │ │ ├─┬ object.omit@2.0.1 
  │ │ │ │ ├─┬ for-own@0.1.5 
  │ │ │ │ │ └── for-in@1.0.2 
  │ │ │ │ └── is-extendable@0.1.1 
  │ │ │ ├─┬ parse-glob@3.0.4 
  │ │ │ │ ├─┬ glob-base@0.3.0 
  │ │ │ │ │ └── glob-parent@2.0.0 
  │ │ │ │ └── is-dotfile@1.0.2 
  │ │ │ └─┬ regex-cache@0.4.3 
  │ │ │   ├── is-equal-shallow@0.1.3 
  │ │ │   └── is-primitive@2.0.0 
  │ │ └─┬ resolve-dir@0.1.1 
  │ │   └─┬ global-modules@0.2.3 
  │ │     ├─┬ global-prefix@0.1.5 
  │ │     │ ├─┬ homedir-polyfill@1.0.1 
  │ │     │ │ └── parse-passwd@1.0.0 
  │ │     │ ├── ini@1.3.4 
  │ │     │ └─┬ which@1.2.12 
  │ │     │   └── isexe@1.1.2 
  │ │     └── is-windows@0.2.0 
  │ ├─┬ fined@1.0.2 
  │ │ ├── expand-tilde@1.2.2 
  │ │ ├── lodash.assignwith@4.2.0 
  │ │ ├── lodash.isempty@4.4.0 
  │ │ ├── lodash.pick@4.4.0 
  │ │ └─┬ parse-filepath@1.0.1 
  │ │   ├─┬ is-absolute@0.2.6 
  │ │   │ └─┬ is-relative@0.2.1 
  │ │   │   └─┬ is-unc-path@0.1.2 
  │ │   │     └── unc-path-regex@0.1.2 
  │ │   ├── map-cache@0.2.2 
  │ │   └─┬ path-root@0.1.1 
  │ │     └── path-root-regex@0.1.2 
  │ ├── flagged-respawn@0.3.2 
  │ ├── lodash.isplainobject@4.0.6 
  │ ├── lodash.isstring@4.0.1 
  │ ├── lodash.mapvalues@4.6.0 
  │ ├── rechoir@0.6.2 
  │ └─┬ resolve@1.3.2 
  │   └── path-parse@1.0.5 
  ├── minimist@1.2.0 
  ├─┬ orchestrator@0.3.8 
  │ ├─┬ end-of-stream@0.1.5 
  │ │ └─┬ once@1.3.3 
  │ │   └── wrappy@1.0.2 
  │ ├── sequencify@0.0.7 
  │ └── stream-consume@0.1.0 
  ├── pretty-hrtime@1.0.3 
  ├── semver@4.3.6 
  ├─┬ tildify@1.2.0 
  │ └── os-homedir@1.0.2 
  ├─┬ v8flags@2.0.11 
  │ └── user-home@1.1.1 
  └─┬ vinyl-fs@0.3.14 
    ├── defaults@1.0.3 
    ├─┬ glob-stream@3.1.18 
    │ ├─┬ glob@4.5.3 
    │ │ └── inflight@1.0.6 
    │ ├─┬ glob2base@0.0.12 
    │ │ └── find-index@0.1.1 
    │ ├─┬ minimatch@2.0.10 
    │ │ └─┬ brace-expansion@1.1.6 
    │ │   ├── balanced-match@0.4.2 
    │ │   └── concat-map@0.0.1 
    │ ├── ordered-read-streams@0.1.0 
    │ ├─┬ through2@0.6.5 
    │ │ └── readable-stream@1.0.34 
    │ └── unique-stream@1.0.0 
    ├─┬ glob-watcher@0.0.6 
    │ └─┬ gaze@0.5.2 
    │   └─┬ globule@0.1.0 
    │     ├─┬ glob@3.1.21 
    │     │ ├── graceful-fs@1.2.3 
    │     │ └── inherits@1.0.2 
    │     ├── lodash@1.0.2 
    │     └─┬ minimatch@0.2.14 
    │       ├── lru-cache@2.7.3 
    │       └── sigmund@1.0.1 
    ├─┬ graceful-fs@3.0.11 
    │ └── natives@1.1.0 
    ├─┬ mkdirp@0.5.1 
    │ └── minimist@0.0.8 
    ├─┬ strip-bom@1.0.0 
    │ ├── first-chunk-stream@1.0.0 
    │ └── is-utf8@0.2.1 
    ├─┬ through2@0.6.5 
    │ └─┬ readable-stream@1.0.34 
    │   └── isarray@0.0.1 
    └─┬ vinyl@0.4.6 
      └── clone@0.2.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-clean gulp-concat glup-connect gulp-cssmin gulp-imagemin gulp-less gulp-load-plugins gulp-uglify open
npm ERR! Darwin 16.4.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "i" "--save-dev" "gulp-clean" "gulp-concat" "glup-connect" "gulp-cssmin" "gulp-imagemin" "gulp-less" "gulp-load-plugins" "gulp-uglify" "open"
npm ERR! node v6.10.0
npm ERR! npm  v3.10.10
npm ERR! code E404

npm ERR! 404 Registry returned 404 for GET on https://registry.npmjs.org/glup-connect
npm ERR! 404 
npm ERR! 404  'glup-connect' is not in the npm registry.
npm ERR! 404 You should bug the author to publish it (or use the name yourself!)
npm ERR! 404 
npm ERR! 404 Note that you can also install from a
npm ERR! 404 tarball, folder, http url, or git url.

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/linyunfu/Desktop/webapp/npm-debug.log
localhost:webapp linyunfu$ npm i --save-dev gulp-concat
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-concat@2.6.1 
  ├─┬ concat-with-sourcemaps@1.0.4 
  │ └── source-map@0.5.6 
  └─┬ vinyl@2.0.1 
    ├── clone-buffer@1.0.0 
    ├── clone-stats@1.0.0 
    ├── cloneable-readable@1.0.0 
    ├── is-stream@1.1.0 
    ├── remove-trailing-separator@1.0.1 
    └── replace-ext@1.0.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-connect
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-connect@5.0.0 
  ├─┬ connect@2.30.2 
  │ ├── basic-auth-connect@1.0.0 
  │ ├─┬ body-parser@1.13.3 
  │ │ ├── iconv-lite@0.4.11 
  │ │ ├─┬ on-finished@2.3.0 
  │ │ │ └── ee-first@1.1.1 
  │ │ └─┬ raw-body@2.1.7 
  │ │   ├── bytes@2.4.0 
  │ │   └── iconv-lite@0.4.13 
  │ ├── bytes@2.1.0 
  │ ├─┬ compression@1.5.2 
  │ │ ├─┬ accepts@1.2.13 
  │ │ │ └── negotiator@0.5.3 
  │ │ ├─┬ compressible@2.0.9 
  │ │ │ └── mime-db@1.26.0 
  │ │ └── vary@1.0.1 
  │ ├─┬ connect-timeout@1.6.2 
  │ │ └── ms@0.7.1 
  │ ├── content-type@1.0.2 
  │ ├── cookie@0.1.3 
  │ ├── cookie-parser@1.3.5 
  │ ├── cookie-signature@1.0.6 
  │ ├─┬ csurf@1.8.3 
  │ │ └─┬ csrf@3.0.4 
  │ │   ├── base64-url@1.3.3 
  │ │   ├── rndm@1.2.0 
  │ │   ├── tsscmp@1.0.5 
  │ │   └─┬ uid-safe@2.1.3 
  │ │     └── random-bytes@1.0.0 
  │ ├── debug@2.2.0 
  │ ├── depd@1.0.1 
  │ ├─┬ errorhandler@1.4.3 
  │ │ ├─┬ accepts@1.3.3 
  │ │ │ └── negotiator@0.6.1 
  │ │ └── escape-html@1.0.3 
  │ ├─┬ express-session@1.11.3 
  │ │ ├── crc@3.3.0 
  │ │ └─┬ uid-safe@2.0.0 
  │ │   └── base64-url@1.2.1 
  │ ├─┬ finalhandler@0.4.0 
  │ │ ├── escape-html@1.0.2 
  │ │ └── unpipe@1.0.0 
  │ ├── fresh@0.3.0 
  │ ├─┬ http-errors@1.3.1 
  │ │ └── statuses@1.3.1 
  │ ├─┬ method-override@2.3.7 
  │ │ ├─┬ debug@2.3.3 
  │ │ │ └── ms@0.7.2 
  │ │ ├── methods@1.1.2 
  │ │ └── vary@1.1.0 
  │ ├─┬ morgan@1.6.1 
  │ │ └── basic-auth@1.0.4 
  │ ├─┬ multiparty@3.3.2 
  │ │ └── stream-counter@0.2.0 
  │ ├── on-headers@1.0.1 
  │ ├── parseurl@1.3.1 
  │ ├── pause@0.1.0 
  │ ├── qs@4.0.0 
  │ ├─┬ response-time@2.3.2 
  │ │ └── depd@1.1.0 
  │ ├─┬ serve-favicon@2.3.2 
  │ │ ├── etag@1.7.0 
  │ │ └── ms@0.7.2 
  │ ├─┬ serve-index@1.7.3 
  │ │ ├── batch@0.5.3 
  │ │ └── mime-types@2.1.14 
  │ ├─┬ serve-static@1.10.3 
  │ │ └─┬ send@0.13.2 
  │ │   ├── depd@1.1.0 
  │ │   ├── destroy@1.0.4 
  │ │   ├── mime@1.3.4 
  │ │   ├── range-parser@1.0.3 
  │ │   └── statuses@1.2.1 
  │ ├─┬ type-is@1.6.14 
  │ │ └── media-typer@0.3.0 
  │ ├── utils-merge@1.0.0 
  │ └── vhost@3.0.2 
  ├── connect-livereload@0.5.4 
  ├─┬ event-stream@3.3.4 
  │ ├── duplexer@0.1.1 
  │ ├── from@0.1.3 
  │ ├── map-stream@0.1.0 
  │ ├── pause-stream@0.0.11 
  │ ├── split@0.3.3 
  │ ├── stream-combiner@0.0.4 
  │ └── through@2.3.8 
  └─┬ tiny-lr@0.2.1 
    ├─┬ body-parser@1.14.2 
    │ ├── bytes@2.2.0 
    │ ├── depd@1.1.0 
    │ ├── iconv-lite@0.4.13 
    │ └── qs@5.2.0 
    ├─┬ faye-websocket@0.10.0 
    │ └─┬ websocket-driver@0.6.5 
    │   └── websocket-extensions@0.1.1 
    ├── livereload-js@2.2.2 
    └── qs@5.1.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-clean
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-clean@0.3.2 
  ├─┬ gulp-util@2.2.20 
  │ ├─┬ chalk@0.5.1 
  │ │ ├── ansi-styles@1.1.0 
  │ │ ├─┬ has-ansi@0.1.0 
  │ │ │ └── ansi-regex@0.2.1 
  │ │ ├── strip-ansi@0.3.0 
  │ │ └── supports-color@0.2.0 
  │ ├─┬ dateformat@1.0.12 
  │ │ ├── get-stdin@4.0.1 
  │ │ └─┬ meow@3.7.0 
  │ │   ├─┬ camelcase-keys@2.1.0 
  │ │   │ └── camelcase@2.1.1 
  │ │   ├── decamelize@1.2.0 
  │ │   ├─┬ loud-rejection@1.6.0 
  │ │   │ ├─┬ currently-unhandled@0.4.1 
  │ │   │ │ └── array-find-index@1.0.2 
  │ │   │ └── signal-exit@3.0.2 
  │ │   ├── map-obj@1.0.1 
  │ │   ├─┬ normalize-package-data@2.3.5 
  │ │   │ ├── hosted-git-info@2.2.0 
  │ │   │ ├─┬ is-builtin-module@1.0.0 
  │ │   │ │ └── builtin-modules@1.1.1 
  │ │   │ └─┬ validate-npm-package-license@3.0.1 
  │ │   │   ├─┬ spdx-correct@1.0.2 
  │ │   │   │ └── spdx-license-ids@1.2.2 
  │ │   │   └── spdx-expression-parse@1.0.4 
  │ │   ├── object-assign@4.1.1 
  │ │   ├─┬ read-pkg-up@1.0.1 
  │ │   │ ├─┬ find-up@1.1.2 
  │ │   │ │ ├── path-exists@2.1.0 
  │ │   │ │ └─┬ pinkie-promise@2.0.1 
  │ │   │ │   └── pinkie@2.0.4 
  │ │   │ └─┬ read-pkg@1.1.0 
  │ │   │   ├─┬ load-json-file@1.1.0 
  │ │   │   │ ├── graceful-fs@4.1.11 
  │ │   │   │ ├─┬ parse-json@2.2.0 
  │ │   │   │ │ └─┬ error-ex@1.3.1 
  │ │   │   │ │   └── is-arrayish@0.2.1 
  │ │   │   │ ├── pify@2.3.0 
  │ │   │   │ └── strip-bom@2.0.0 
  │ │   │   └─┬ path-type@1.1.0 
  │ │   │     └── graceful-fs@4.1.11 
  │ │   ├─┬ redent@1.0.0 
  │ │   │ ├─┬ indent-string@2.1.0 
  │ │   │ │ └─┬ repeating@2.0.1 
  │ │   │ │   └─┬ is-finite@1.0.2 
  │ │   │ │     └── number-is-nan@1.0.1 
  │ │   │ └── strip-indent@1.0.1 
  │ │   └── trim-newlines@1.0.0 
  │ ├── lodash._reinterpolate@2.4.1 
  │ ├─┬ lodash.template@2.4.1 
  │ │ ├── lodash._escapestringchar@2.4.1 
  │ │ ├─┬ lodash.defaults@2.4.1 
  │ │ │ ├── lodash._objecttypes@2.4.1 
  │ │ │ └── lodash.keys@2.4.1 
  │ │ ├─┬ lodash.escape@2.4.1 
  │ │ │ ├─┬ lodash._escapehtmlchar@2.4.1 
  │ │ │ │ └── lodash._htmlescapes@2.4.1 
  │ │ │ └─┬ lodash._reunescapedhtml@2.4.1 
  │ │ │   └── lodash.keys@2.4.1 
  │ │ ├─┬ lodash.keys@2.4.1 
  │ │ │ ├── lodash._isnative@2.4.1 
  │ │ │ ├── lodash._shimkeys@2.4.1 
  │ │ │ └── lodash.isobject@2.4.1 
  │ │ ├── lodash.templatesettings@2.4.1 
  │ │ └─┬ lodash.values@2.4.1 
  │ │   └── lodash.keys@2.4.1 
  │ ├── minimist@0.2.0 
  │ ├─┬ through2@0.5.1 
  │ │ └── xtend@3.0.0 
  │ └── vinyl@0.2.3 
  ├─┬ rimraf@2.6.1 
  │ └─┬ glob@7.1.1 
  │   ├── fs.realpath@1.0.0 
  │   ├── minimatch@3.0.3 
  │   └── path-is-absolute@1.0.1 
  └─┬ through2@0.4.2 
    ├── readable-stream@1.0.34 
    └─┬ xtend@2.1.2 
      └── object-keys@0.4.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-cssmin
npm WARN deprecated graceful-fs@2.0.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-cssmin@0.1.7 
  ├─┬ clean-css@3.4.25 
  │ ├─┬ commander@2.8.1 
  │ │ └── graceful-readlink@1.0.1 
  │ └─┬ source-map@0.4.4 
  │   └── amdefine@1.0.1 
  ├── filesize@2.0.4 
  ├── graceful-fs@2.0.3 
  ├── gulp-rename@1.1.0 
  ├─┬ gulp-util@2.2.20 
  │ ├─┬ chalk@0.5.1 
  │ │ ├── ansi-styles@1.1.0 
  │ │ ├─┬ has-ansi@0.1.0 
  │ │ │ └── ansi-regex@0.2.1 
  │ │ ├── strip-ansi@0.3.0 
  │ │ └── supports-color@0.2.0 
  │ ├── dateformat@1.0.12 
  │ ├── lodash._reinterpolate@2.4.1 
  │ ├─┬ lodash.template@2.4.1 
  │ │ ├── lodash.escape@2.4.1 
  │ │ ├── lodash.keys@2.4.1 
  │ │ └── lodash.templatesettings@2.4.1 
  │ ├── minimist@0.2.0 
  │ ├─┬ through2@0.5.1 
  │ │ ├── readable-stream@1.0.34 
  │ │ └── xtend@3.0.0 
  │ └── vinyl@0.2.3 
  ├── map-stream@0.0.4 
  └─┬ temp-write@0.1.1 
    ├── graceful-fs@2.0.3 
    └─┬ tempfile@0.1.3 
      └── uuid@1.4.2 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-imagemin

> gifsicle@3.0.4 postinstall /Users/linyunfu/Desktop/webapp/node_modules/gifsicle
> node lib/install.js

  ✔ gifsicle pre-build test passed successfully

> jpegtran-bin@3.2.0 postinstall /Users/linyunfu/Desktop/webapp/node_modules/jpegtran-bin
> node lib/install.js

  ✔ jpegtran pre-build test passed successfully

> optipng-bin@3.1.2 postinstall /Users/linyunfu/Desktop/webapp/node_modules/optipng-bin
> node lib/install.js

  ✔ optipng pre-build test passed successfully
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-imagemin@3.1.1 
  ├─┬ imagemin@5.2.2 
  │ ├── file-type@3.9.0 
  │ ├─┬ globby@5.0.0 
  │ │ ├── array-union@1.0.2 
  │ │ ├── arrify@1.0.1 
  │ │ ├─┬ glob@7.1.1 
  │ │ │ └── minimatch@3.0.3 
  │ │ └── object-assign@4.1.1 
  │ └── promise.pipe@3.0.0 
  ├─┬ imagemin-gifsicle@5.1.0 
  │ ├─┬ exec-buffer@3.1.0 
  │ │ ├─┬ execa@0.5.1 
  │ │ │ ├─┬ cross-spawn@4.0.2 
  │ │ │ │ └─┬ lru-cache@4.0.2 
  │ │ │ │   ├── pseudomap@1.0.2 
  │ │ │ │   └── yallist@2.0.0 
  │ │ │ ├─┬ get-stream@2.3.1 
  │ │ │ │ └── object-assign@4.1.1 
  │ │ │ ├─┬ npm-run-path@2.0.2 
  │ │ │ │ └── path-key@2.0.1 
  │ │ │ └── strip-eof@1.0.0 
  │ │ ├── p-finally@1.0.0 
  │ │ └─┬ tempfile@1.1.1 
  │ │   ├── os-tmpdir@1.0.2 
  │ │   └── uuid@2.0.3 
  │ ├─┬ gifsicle@3.0.4 
  │ │ ├─┬ bin-build@2.2.0 
  │ │ │ ├── archive-type@3.2.0 
  │ │ │ ├─┬ decompress@3.0.0 
  │ │ │ │ ├─┬ buffer-to-vinyl@1.1.0 
  │ │ │ │ │ ├─┬ readable-stream@2.2.3 
  │ │ │ │ │ │ └── isarray@1.0.0 
  │ │ │ │ │ ├── uuid@2.0.3 
  │ │ │ │ │ └── vinyl@1.2.0 
  │ │ │ │ ├─┬ concat-stream@1.6.0 
  │ │ │ │ │ ├─┬ readable-stream@2.2.3 
  │ │ │ │ │ │ └── isarray@1.0.0 
  │ │ │ │ │ └── typedarray@0.0.6 
  │ │ │ │ ├─┬ decompress-tar@3.1.0 
  │ │ │ │ │ ├── is-tar@1.0.0 
  │ │ │ │ │ ├── object-assign@2.1.1 
  │ │ │ │ │ ├─┬ strip-dirs@1.1.1 
  │ │ │ │ │ │ ├─┬ is-absolute@0.1.7 
  │ │ │ │ │ │ │ └── is-relative@0.1.3 
  │ │ │ │ │ │ ├── is-natural-number@2.1.1 
  │ │ │ │ │ │ └── sum-up@1.0.3 
  │ │ │ │ │ ├─┬ tar-stream@1.5.2 
  │ │ │ │ │ │ ├─┬ bl@1.2.0 
  │ │ │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ │ │ ├── end-of-stream@1.1.0 
  │ │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ │ ├─┬ through2@0.6.5 
  │ │ │ │ │ │ └── readable-stream@1.0.34 
  │ │ │ │ │ └─┬ vinyl@0.4.6 
  │ │ │ │ │   └── clone@0.2.0 
  │ │ │ │ ├─┬ decompress-tarbz2@3.1.0 
  │ │ │ │ │ ├── is-bzip2@1.0.0 
  │ │ │ │ │ ├── object-assign@2.1.1 
  │ │ │ │ │ ├── seek-bzip@1.0.5 
  │ │ │ │ │ ├─┬ through2@0.6.5 
  │ │ │ │ │ │ └── readable-stream@1.0.34 
  │ │ │ │ │ └─┬ vinyl@0.4.6 
  │ │ │ │ │   └── clone@0.2.0 
  │ │ │ │ ├─┬ decompress-targz@3.1.0 
  │ │ │ │ │ ├── is-gzip@1.0.0 
  │ │ │ │ │ ├── object-assign@2.1.1 
  │ │ │ │ │ ├─┬ through2@0.6.5 
  │ │ │ │ │ │ └── readable-stream@1.0.34 
  │ │ │ │ │ └─┬ vinyl@0.4.6 
  │ │ │ │ │   └── clone@0.2.0 
  │ │ │ │ ├─┬ decompress-unzip@3.4.0 
  │ │ │ │ │ ├── is-zip@1.0.0 
  │ │ │ │ │ ├── stat-mode@0.2.2 
  │ │ │ │ │ ├── vinyl@1.2.0 
  │ │ │ │ │ └─┬ yauzl@2.7.0 
  │ │ │ │ │   ├── buffer-crc32@0.2.13 
  │ │ │ │ │   └─┬ fd-slicer@1.0.1 
  │ │ │ │ │     └── pend@1.2.0 
  │ │ │ │ ├─┬ stream-combiner2@1.1.1 
  │ │ │ │ │ ├── duplexer2@0.1.4 
  │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ ├─┬ vinyl-assign@1.2.1 
  │ │ │ │ │ ├── object-assign@4.1.1 
  │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ └─┬ vinyl-fs@2.4.4 
  │ │ │ │   ├─┬ duplexify@3.5.0 
  │ │ │ │   │ ├── end-of-stream@1.0.0 
  │ │ │ │   │ ├─┬ readable-stream@2.2.3 
  │ │ │ │   │ │ └── isarray@1.0.0 
  │ │ │ │   │ └── stream-shift@1.0.0 
  │ │ │ │   ├─┬ glob-stream@5.3.5 
  │ │ │ │   │ ├── glob@5.0.15 
  │ │ │ │   │ ├─┬ glob-parent@3.1.0 
  │ │ │ │   │ │ ├─┬ is-glob@3.1.0 
  │ │ │ │   │ │ │ └── is-extglob@2.1.1 
  │ │ │ │   │ │ └── path-dirname@1.0.2 
  │ │ │ │   │ ├── ordered-read-streams@0.3.0 
  │ │ │ │   │ ├─┬ through2@0.6.5 
  │ │ │ │   │ │ └─┬ readable-stream@1.0.34 
  │ │ │ │   │ │   └── isarray@0.0.1 
  │ │ │ │   │ ├─┬ to-absolute-glob@0.1.1 
  │ │ │ │   │ │ └── extend-shallow@2.0.1 
  │ │ │ │   │ └─┬ unique-stream@2.2.1 
  │ │ │ │   │   └─┬ json-stable-stringify@1.0.1 
  │ │ │ │   │     └── jsonify@0.0.0 
  │ │ │ │   ├── graceful-fs@4.1.11 
  │ │ │ │   ├─┬ gulp-sourcemaps@1.6.0 
  │ │ │ │   │ ├── convert-source-map@1.4.0 
  │ │ │ │   │ ├── graceful-fs@4.1.11 
  │ │ │ │   │ ├── strip-bom@2.0.0 
  │ │ │ │   │ └── vinyl@1.2.0 
  │ │ │ │   ├── is-valid-glob@0.3.0 
  │ │ │ │   ├─┬ lazystream@1.0.0 
  │ │ │ │   │ └─┬ readable-stream@2.2.3 
  │ │ │ │   │   └── isarray@1.0.0 
  │ │ │ │   ├── lodash.isequal@4.5.0 
  │ │ │ │   ├─┬ merge-stream@1.0.1 
  │ │ │ │   │ └─┬ readable-stream@2.2.3 
  │ │ │ │   │   └── isarray@1.0.0 
  │ │ │ │   ├── object-assign@4.1.1 
  │ │ │ │   ├─┬ readable-stream@2.2.3 
  │ │ │ │   │ └── isarray@1.0.0 
  │ │ │ │   ├── strip-bom@2.0.0 
  │ │ │ │   ├─┬ strip-bom-stream@1.0.0 
  │ │ │ │   │ └── strip-bom@2.0.0 
  │ │ │ │   ├── through2-filter@2.0.0 
  │ │ │ │   ├── vali-date@1.0.0 
  │ │ │ │   └── vinyl@1.2.0 
  │ │ │ ├─┬ download@4.4.3 
  │ │ │ │ ├─┬ caw@1.2.0 
  │ │ │ │ │ ├─┬ get-proxy@1.1.0 
  │ │ │ │ │ │ └─┬ rc@1.1.7 
  │ │ │ │ │ │   ├── deep-extend@0.4.1 
  │ │ │ │ │ │   └── strip-json-comments@2.0.1 
  │ │ │ │ │ ├── is-obj@1.0.1 
  │ │ │ │ │ └── tunnel-agent@0.4.3 
  │ │ │ │ ├─┬ filenamify@1.2.1 
  │ │ │ │ │ ├── filename-reserved-regex@1.0.0 
  │ │ │ │ │ ├── strip-outer@1.0.0 
  │ │ │ │ │ └── trim-repeated@1.0.0 
  │ │ │ │ ├─┬ got@5.7.1 
  │ │ │ │ │ ├─┬ create-error-class@3.0.2 
  │ │ │ │ │ │ └── capture-stack-trace@1.0.0 
  │ │ │ │ │ ├── duplexer2@0.1.4 
  │ │ │ │ │ ├── is-redirect@1.0.0 
  │ │ │ │ │ ├── is-retry-allowed@1.1.0 
  │ │ │ │ │ ├── lowercase-keys@1.0.0 
  │ │ │ │ │ ├── node-status-codes@1.0.0 
  │ │ │ │ │ ├── object-assign@4.1.1 
  │ │ │ │ │ ├─┬ readable-stream@2.2.3 
  │ │ │ │ │ │ └── isarray@1.0.0 
  │ │ │ │ │ ├── timed-out@3.1.3 
  │ │ │ │ │ ├── unzip-response@1.0.2 
  │ │ │ │ │ └─┬ url-parse-lax@1.0.0 
  │ │ │ │ │   └── prepend-http@1.0.4 
  │ │ │ │ ├─┬ gulp-decompress@1.2.0 
  │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ ├── gulp-rename@1.2.2 
  │ │ │ │ ├── is-url@1.2.2 
  │ │ │ │ ├── object-assign@4.1.1 
  │ │ │ │ ├─┬ read-all-stream@3.1.0 
  │ │ │ │ │ └─┬ readable-stream@2.2.3 
  │ │ │ │ │   └── isarray@1.0.0 
  │ │ │ │ ├─┬ readable-stream@2.2.3 
  │ │ │ │ │ └── isarray@1.0.0 
  │ │ │ │ ├── vinyl@1.2.0 
  │ │ │ │ ├─┬ vinyl-fs@2.4.4 
  │ │ │ │ │ ├─┬ glob-stream@5.3.5 
  │ │ │ │ │ │ ├── glob@5.0.15 
  │ │ │ │ │ │ ├─┬ glob-parent@3.1.0 
  │ │ │ │ │ │ │ └─┬ is-glob@3.1.0 
  │ │ │ │ │ │ │   └── is-extglob@2.1.1 
  │ │ │ │ │ │ ├── ordered-read-streams@0.3.0 
  │ │ │ │ │ │ ├─┬ through2@0.6.5 
  │ │ │ │ │ │ │ └─┬ readable-stream@1.0.34 
  │ │ │ │ │ │ │   └── isarray@0.0.1 
  │ │ │ │ │ │ └── unique-stream@2.2.1 
  │ │ │ │ │ ├── graceful-fs@4.1.11 
  │ │ │ │ │ └── strip-bom@2.0.0 
  │ │ │ │ └─┬ ware@1.3.0 
  │ │ │ │   └─┬ wrap-fn@0.1.5 
  │ │ │ │     └── co@3.1.0 
  │ │ │ ├─┬ exec-series@1.0.3 
  │ │ │ │ ├── async-each-series@1.1.0 
  │ │ │ │ └── object-assign@4.1.1 
  │ │ │ ├─┬ tempfile@1.1.1 
  │ │ │ │ └── uuid@2.0.3 
  │ │ │ └─┬ url-regex@3.2.0 
  │ │ │   └── ip-regex@1.0.3 
  │ │ ├─┬ bin-wrapper@3.0.2 
  │ │ │ ├─┬ bin-check@2.0.0 
  │ │ │ │ └── executable@1.1.0 
  │ │ │ ├─┬ bin-version-check@2.1.0 
  │ │ │ │ ├─┬ bin-version@1.0.4 
  │ │ │ │ │ └─┬ find-versions@1.2.1 
  │ │ │ │ │   └── semver-regex@1.0.0 
  │ │ │ │ └─┬ semver-truncate@1.1.2 
  │ │ │ │   └── semver@5.3.0 
  │ │ │ ├─┬ each-async@1.1.1 
  │ │ │ │ ├── onetime@1.1.0 
  │ │ │ │ └── set-immediate-shim@1.0.1 
  │ │ │ ├── lazy-req@1.1.0 
  │ │ │ └── os-filter-obj@1.0.3 
  │ │ └─┬ logalot@2.1.0 
  │ │   ├─┬ figures@1.7.0 
  │ │   │ └── object-assign@4.1.1 
  │ │   └─┬ squeak@1.3.0 
  │ │     ├── console-stream@0.1.1 
  │ │     └─┬ lpad-align@1.1.0 
  │ │       ├── longest@1.0.1 
  │ │       └── lpad@2.0.1 
  │ └── is-gif@1.0.0 
  ├─┬ imagemin-jpegtran@5.0.2 
  │ ├── is-jpg@1.0.0 
  │ └── jpegtran-bin@3.2.0 
  ├─┬ imagemin-optipng@5.2.1 
  │ ├── is-png@1.0.0 
  │ └── optipng-bin@3.1.2 
  ├─┬ imagemin-svgo@5.2.0 
  │ ├─┬ is-svg@2.1.0 
  │ │ └── html-comment-regex@1.1.1 
  │ └─┬ svgo@0.7.2 
  │   ├─┬ coa@1.0.1 
  │   │ └── q@1.4.1 
  │   ├── colors@1.1.2 
  │   ├─┬ csso@2.3.1 
  │   │ └── clap@1.1.2 
  │   ├─┬ js-yaml@3.7.0 
  │   │ ├─┬ argparse@1.0.9 
  │   │ │ └── sprintf-js@1.0.3 
  │   │ └── esprima@2.7.3 
  │   ├── sax@1.2.2 
  │   └── whet.extend@0.9.9 
  ├─┬ plur@2.1.2 
  │ └── irregular-plurals@1.2.0 
  ├── pretty-bytes@4.0.2 
  └── through2-concurrent@1.1.1 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-load-plugins
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└── gulp-load-plugins@1.5.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev gulp-uglify
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-uglify@2.0.1 
  ├── lodash@4.17.4 
  ├─┬ make-error-cause@1.2.2 
  │ └── make-error@1.2.2 
  ├─┬ uglify-js@2.7.5 
  │ ├── async@0.2.10 
  │ ├── uglify-to-browserify@1.0.2 
  │ └─┬ yargs@3.10.0 
  │   ├── camelcase@1.2.1 
  │   ├─┬ cliui@2.1.0 
  │   │ ├─┬ center-align@0.1.3 
  │   │ │ ├── align-text@0.1.4 
  │   │ │ └── lazy-cache@1.0.4 
  │   │ ├── right-align@0.1.3 
  │   │ └── wordwrap@0.0.2 
  │   └── window-size@0.1.0 
  ├── uglify-save-license@0.4.1 
  └── vinyl-sourcemaps-apply@0.2.1 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ npm i --save-dev open
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└── open@0.0.5 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ gulp
[14:16:06] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:16:06] Starting 'image'...
[14:16:06] 'image' errored after 15 ms
[14:16:06] TypeError: $.plumber is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:58:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ gulp lib
[14:16:23] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:16:23] Starting 'lib'...
[14:16:24] Finished 'lib' after 399 ms
localhost:webapp linyunfu$ gulp html
[14:16:39] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:16:39] Starting 'html'...
[14:16:39] Finished 'html' after 151 ms
localhost:webapp linyunfu$ gulp json
[14:16:45] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:16:45] Starting 'json'...
[14:16:45] Finished 'json' after 141 ms
localhost:webapp linyunfu$ gulp less
[14:16:51] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:16:51] Starting 'less'...
[14:16:51] 'less' errored after 10 ms
[14:16:51] TypeError: $.plumber is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:38:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ gulp html
[14:18:46] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:18:46] Starting 'html'...
[14:18:46] Finished 'html' after 184 ms
localhost:webapp linyunfu$ gulp html
[14:19:56] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:19:56] Starting 'html'...
[14:19:56] Finished 'html' after 156 ms
localhost:webapp linyunfu$ gulp json
[14:21:22] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:21:22] Starting 'json'...
[14:21:22] Finished 'json' after 139 ms
localhost:webapp linyunfu$ gulp less
[14:25:43] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:25:43] Starting 'less'...
[14:25:43] 'less' errored after 12 ms
[14:25:43] TypeError: $.plumber is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:38:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ gulp less
[14:26:11] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:26:11] Starting 'less'...
[14:26:11] 'less' errored after 10 ms
[14:26:11] TypeError: $.plumber is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:38:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ gulp less
[14:27:07] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:27:07] Starting 'less'...
[14:27:07] 'less' errored after 9.49 ms
[14:27:07] TypeError: $.plumber is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:38:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ npm i --save-dev gulp-plumber
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└── gulp-plumber@1.1.0 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ gulp less
[14:29:31] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:29:31] Starting 'less'...
[14:29:32] 'less' errored after 13 ms
[14:29:32] TypeError: $.less is not a function
    at Gulp.<anonymous> (/Users/linyunfu/Desktop/webapp/gulpfile.js:39:17)
    at module.exports (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/lib/runTask.js:34:7)
    at Gulp.Orchestrator._runTask (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:273:3)
    at Gulp.Orchestrator._runStep (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:214:10)
    at Gulp.Orchestrator.start (/Users/linyunfu/Desktop/webapp/node_modules/orchestrator/index.js:134:8)
    at /usr/local/lib/node_modules/gulp/bin/gulp.js:129:20
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)
    at Module.runMain (module.js:606:11)
    at run (bootstrap_node.js:394:7)
localhost:webapp linyunfu$ npm i --save-dev gulp-less
webapp@1.0.0 /Users/linyunfu/Desktop/webapp
└─┬ gulp-less@3.3.0 
  ├─┬ accord@0.26.4 
  │ ├─┬ glob@7.1.1 
  │ │ └── minimatch@3.0.3 
  │ ├── indx@0.2.3 
  │ ├── lodash.clone@4.5.0 
  │ ├── lodash.defaults@4.2.0 
  │ ├── lodash.flatten@4.4.0 
  │ ├── lodash.merge@4.6.0 
  │ ├── lodash.partialright@4.2.1 
  │ ├── lodash.uniq@4.5.0 
  │ ├── semver@5.3.0 
  │ └── when@3.7.8 
  ├─┬ less@2.7.2 
  │ ├─┬ errno@0.1.4 
  │ │ └── prr@0.0.0 
  │ ├── graceful-fs@4.1.11 
  │ ├── image-size@0.5.1 
  │ ├─┬ promise@7.1.1 
  │ │ └── asap@2.0.5 
  │ └─┬ request@2.80.0 
  │   ├── aws-sign2@0.6.0 
  │   ├── aws4@1.6.0 
  │   ├── caseless@0.12.0 
  │   ├─┬ combined-stream@1.0.5 
  │   │ └── delayed-stream@1.0.0 
  │   ├── forever-agent@0.6.1 
  │   ├─┬ form-data@2.1.2 
  │   │ └── asynckit@0.4.0 
  │   ├─┬ har-validator@4.2.1 
  │   │ ├─┬ ajv@4.11.4 
  │   │ │ └── co@4.6.0 
  │   │ └── har-schema@1.0.5 
  │   ├─┬ hawk@3.1.3 
  │   │ ├── boom@2.10.1 
  │   │ ├── cryptiles@2.0.5 
  │   │ ├── hoek@2.16.3 
  │   │ └── sntp@1.0.9 
  │   ├─┬ http-signature@1.1.1 
  │   │ ├── assert-plus@0.2.0 
  │   │ ├─┬ jsprim@1.3.1 
  │   │ │ ├── extsprintf@1.0.2 
  │   │ │ ├── json-schema@0.2.3 
  │   │ │ └── verror@1.3.6 
  │   │ └─┬ sshpk@1.11.0 
  │   │   ├── asn1@0.2.3 
  │   │   ├── assert-plus@1.0.0 
  │   │   ├── bcrypt-pbkdf@1.0.1 
  │   │   ├─┬ dashdash@1.14.1 
  │   │   │ └── assert-plus@1.0.0 
  │   │   ├── ecc-jsbn@0.1.1 
  │   │   ├─┬ getpass@0.1.6 
  │   │   │ └── assert-plus@1.0.0 
  │   │   ├── jodid25519@1.0.2 
  │   │   ├── jsbn@0.1.1 
  │   │   └── tweetnacl@0.14.5 
  │   ├── is-typedarray@1.0.0 
  │   ├── isstream@0.1.2 
  │   ├── json-stringify-safe@5.0.1 
  │   ├── oauth-sign@0.8.2 
  │   ├── performance-now@0.2.0 
  │   ├── qs@6.3.1 
  │   ├── stringstream@0.0.5 
  │   ├─┬ tough-cookie@2.3.2 
  │   │ └── punycode@1.4.1 
  │   └── uuid@3.0.1 
  └── object-assign@4.1.1 

npm WARN webapp@1.0.0 No description
npm WARN webapp@1.0.0 No repository field.
localhost:webapp linyunfu$ gulp less
[14:30:31] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:30:31] Starting 'less'...
[14:30:32] Finished 'less' after 609 ms
localhost:webapp linyunfu$ gulp js
[14:32:50] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:32:50] Starting 'js'...
[14:32:51] Finished 'js' after 716 ms
localhost:webapp linyunfu$ gulp image
[14:34:45] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:34:45] Starting 'image'...
[14:34:45] Finished 'image' after 195 ms
[14:34:45] gulp-imagemin: Minified 0 images
localhost:webapp linyunfu$ gulp image
[14:36:31] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:36:31] Starting 'image'...
[14:36:31] Finished 'image' after 162 ms
[14:36:31] gulp-imagemin: Minified 1 image (saved 8.38 kB - 25.2%)
localhost:webapp linyunfu$ gulp clean
[14:38:19] Using gulpfile ~/Desktop/webapp/gulpfile.js
[14:38:19] Starting 'clean'...
[14:38:19] Finished 'clean' after 141 ms
localhost:webapp linyunfu$ 

推荐阅读更多精彩内容